API Reference
Finalize a media upload after presigned PUT.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Header Parameters
Idempotency-Key?string
Retry key (8-200 characters). Reusing it with identical input returns the original response; different input returns 409.
Match
^[A-Za-z0-9._:-]+$Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/workspace/media/upload/finalize" \ -H "Content-Type: application/json" \ -d '{ "storage_key": "string", "file_name": "string", "content_type": "string", "file_size_bytes": 1 }'{ "id": "string", "name": "string", "asset_type": "string", "processing_status": "string", "processing_run_id": "string", "deduped": true, "follow_up": { "transcription_requested": true, "description_requested": true, "short_suggestions_requested": true }}